org.springframework.orm.jpa.persistenceunit

## Interface PersistenceUnitPostProcessor

-     public interface PersistenceUnitPostProcessor

  Callback interface for post-processing a JPA PersistenceUnitInfo. Implementations can be registered with a DefaultPersistenceUnitManager or via a LocalContainerEntityManagerFactoryBean.
  Since:
    2.0
  Author:
    Juergen Hoeller
  See Also:
    `DefaultPersistenceUnitManager.setPersistenceUnitPostProcessors(org.springframework.orm.jpa.persistenceunit.PersistenceUnitPostProcessor...)`, `LocalContainerEntityManagerFactoryBean.setPersistenceUnitPostProcessors(org.springframework.orm.jpa.persistenceunit.PersistenceUnitPostProcessor...)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postProcessPersistenceUnitInfo(MutablePersistenceUnitInfo pui)` Post-process the given PersistenceUnitInfo, for example registering further entity classes and jar files.

- - ### Method Detail

    - #### postProcessPersistenceUnitInfo

          void postProcessPersistenceUnitInfo(MutablePersistenceUnitInfo pui)

      Post-process the given PersistenceUnitInfo, for example registering further entity classes and jar files.
      Parameters:
        `pui` - the chosen PersistenceUnitInfo, as read from `persistence.xml`. Passed in as MutablePersistenceUnitInfo.